EnergyHandler
Date: 2014-08-08

melting.handlers

## Class EnergyHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - melting.handlers.NodeHandler
    - - melting.handlers.EnergyHandler

- All Implemented Interfaces:
    org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

      public class EnergyHandler
      extends NodeHandler

  This class represents a Handler to parse the enthalpy or entropy nodes in the xml files. It extends NodeHandler.

- - ### Field Summary

    - ### Fields inherited from class melting.handlers.NodeHandler

      `subHandler`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnergyHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characters(char[] ch, int start, int length)`
    `void` | `endElement(java.lang.String uri, java.lang.String localName, java.lang.String name)`
    `double` | `getEnergy()` This method is called to get the energy of EnergyHandler.
    `boolean` | `getHasEnergy()` This method is called to get the hasEnergy of EnergyHandler.
    `void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String name, org.xml.sax.Attributes attributes)`

    - ### Methods inherited from class melting.handlers.NodeHandler

      `completedNode, hasCompletedNode`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EnergyHandler

          public EnergyHandler()

  - ### Method Detail

    - #### getEnergy

          public double getEnergy()

      This method is called to get the energy of EnergyHandler.
      Returns:
        double : the energy of EnergyHandler.

    - #### getHasEnergy

          public boolean getHasEnergy()

      This method is called to get the hasEnergy of EnergyHandler.
      Returns:
        double : the energy of EnergyHandler.

    - #### startElement

          public void startElement(java.lang.String uri,
                          java.lang.String localName,
                          java.lang.String name,
                          org.xml.sax.Attributes attributes)
                            throws org.xml.sax.SAXException

      Specified by:
        `startElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startElement` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### characters

          public void characters(char[] ch,
                        int start,
                        int length)
                          throws org.xml.sax.SAXException

      Specified by:
        `characters` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `characters` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### endElement

          public void endElement(java.lang.String uri,
                        java.lang.String localName,
                        java.lang.String name)
                          throws org.xml.sax.SAXException

      Specified by:
        `endElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `endElement` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`